Author: Sergei Golovan
Description: Patch fixes a bug with extra CGI environment variables
 specified in a config file.
Last-Modified: Mon, 22 Apr 2024 13:33:26 +0300

--- a/src/yaws_config.erl
+++ b/src/yaws_config.erl
@@ -2620,8 +2620,7 @@
             fload({FD, ConfFile}, extra_cgi_vars, GC, C1, Lno+1, ?NEXTLINE);
 
         ['<', "/extra_cgi_vars", '>'] ->
-            C1 = C#sconf{extra_cgi_vars = [EVars | C#sconf.extra_cgi_vars]},
-            fload({FD, ConfFile}, server, GC, C1, Lno+1, ?NEXTLINE);
+            fload({FD, ConfFile}, server, GC, C, Lno+1, ?NEXTLINE);
 
         [H|T] ->
             {error, ?F("Unexpected input ~p at line ~w", [[H|T], Lno])};
